import ThouleePagination from "./vue-bootstrap-pagination.vue";

const ThouleePaginationMain = {
  // eslint-disable-next-line no-unused-vars
  install(Vue, options) {
    // Let's register our component globally
    // https://vuejs.org/v2/guide/components-registration.html
    Vue.component("thoulee-pagination", ThouleePagination);
  },
};

// Automatic installation if Vue has been added to the global scope.
if (typeof window !== "undefined" && window.Vue) {
  window.Vue.use(ThouleePaginationMain);
}

export default ThouleePaginationMain;
